
Foreman - Bug #1618

Time drift incorrectly worded

05/14/2012 07:01 AM - Greg Sutcliffe

Status: Resolved   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category:    

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7313

  

Description

If the clocks on your client drifts ahead of the master, you can recieve reports from "the future". However, wording on the reports

page is hardcoded to "ago" meaning you get:

about 1 hour ago

27 minutes ago

3 minutes ago

33 minutes ago

about 1 hour ago

 This is confusing. Reports from the future should be worded clearly, for example:

about 1 hour ahead

27 minutes ahead

3 minutes ago

33 minutes ago

about 1 hour ago

 This makes it clear that there is a time problem, straight from the reports overview.

History

#1 - 05/14/2012 07:03 AM - Greg Sutcliffe

The following patch works for my use case but could probably be improved:

diff --git a/app/helpers/reports_helper.rb b/app/helpers/reports_helper.rb

index e34afb8..1758283 100644

--- a/app/helpers/reports_helper.rb

+++ b/app/helpers/reports_helper.rb

@@ -2,7 +2,8 @@ require 'ostruct'

 module ReportsHelper

   def reported_at_column(record)

-    link_to(time_ago_in_words(record.reported_at.getlocal) + " ago", report_path(record))

+    word = record.reported_at.getlocal > Time.now ? " ahead" : " ago" 

+    link_to(time_ago_in_words(record.reported_at.getlocal) + word, report_path(record))

   end

    def report_event_column(event, style = "")

#2 - 05/15/2012 01:38 AM - Ohad Levy

- Assignee set to Greg Sutcliffe

- Target version set to 1.0

does this also changes the report drift warning message?

git formatted patch? :)
#3 - 05/15/2012 09:25 AM - Greg Sutcliffe

I'll check, and send a pullreq. This was tested on my production 0.4 box anyway, so I need to check it works in 0.5 (probably though :P)

#4 - 05/21/2012 08:40 AM - Ohad Levy

- Difficulty set to trivial

#5 - 06/21/2012 03:07 AM - Ohad Levy

- Target version deleted (1.0)

if you have the time, we'll add it to 1.0, if not, next release :)

#6 - 01/01/2020 03:26 AM - The Foreman Bot

- Description updated

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7313 added

#7 - 01/01/2020 09:24 AM - Tomer Brisker

- Status changed from Ready For Testing to Resolved

this has been resolved by the change to react relative date component.
